dpt-clean-mr-repos(1)

NAME
dpt-clean-mr-repos - remove local repos which are gone from salsa.debian.org

SYNOPSIS
dpt clean-mr-repos [--force] [--help]

DESCRIPTION
dpt clean-mr-repos checks which repos are locally in the DPT_PACKAGES directory that do no longer exist in .mrconfig.packages, i.e. which are no longer on salsa.debian.org in the group with active packages. The script needs dpt salsa mrconfig to be run beforehand as this creates .mrconfig.packages. Removal of obsolete repos happens only with --force.

OPTIONS

--help
    Show this help.

--force
    Actually remove the local repositories. Without --force they are just listed.

CONFIGURATION
dpt clean-mr-repos uses the "DPT_PACKAGES" environment variable.

See dpt-config(5) for details.

COPYRIGHT AND LICENSE
    Copyright 2017, Florian Schlichting <fsfs@debian.org>
              2018, Damyan Ivanov <dmn@debian.org>
              2018, gregor herrmann <gregoa@debian.org>

    License: Artistic or GPL-1+